Bug 1756673

Summary: Build fvwm 2.6.9 for EPEL8
Product: [Fedora] Fedora EPEL Reporter: Derek Schrock <dereks>
Component: fvwmAssignee: Martin Cermak <mcermak>
Status: ON_QA --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: epel8CC: lemenkov, mcermak
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Derek Schrock 2019-09-29 04:10:25 UTC
Can Fedora fvwm be branched for epel8

Comment 2 Martin Cermak 2019-10-01 12:18:52 UTC
Seems locally buildable except for libstroke support.  Untested build:
https://mcermak.fedorapeople.org/fvwm-2.6.9-2.el8/

Comment 3 Fedora Update System 2019-10-02 09:28:33 UTC
FEDORA-EPEL-2019-b4360a7e7d has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-b4360a7e7d

Comment 4 Martin Cermak 2019-10-02 09:29:27 UTC
The new build is: https://koji.fedoraproject.org/koji/buildinfo?buildID=1393435

Comment 5 Derek Schrock 2019-10-02 23:01:10 UTC
Looks like xlockmore is going to be an issue for this package's runtime. We don't have that in epel8 plus it requires something in RHEL that was removed in 8: gnome-icon-theme.  Looks like it's just a single icon that xlockmore's .desktop needs.

Comment 6 Fedora Update System 2019-10-03 03:58:21 UTC
fvwm-2.6.9-2.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-b4360a7e7d

Comment 7 Derek Schrock 2020-07-27 20:39:33 UTC
Appears I missed the last update from Bugzilla with this package moving to epel-testing.  It appears it was pushed out of testing was this due to the lack of karma or some issue with the package?  Testing with the epel-playground package everything appears alright.  Is it possible to get this moved back to epel-testing for the +3 or 14 day test cycle?